So überprüfen Sie die Add-On-Kompatibilität mit Firefox 57 oder höher

Firefox 57, dessen Veröffentlichung für diesen November geplant ist, wird einige ziemlich große Änderungen für den Browser mit sich bringen, darunter eine, die möglicherweise die Kompatibilität mit einigen beliebten Add-Ons beeinträchtigen könnte, die viele von uns finden unentbehrlich in unserem täglichen Gebrauch. Da sich Mozilla von XPCOM und XUL, den Grundlagen des florierenden Add-On-Ökosystems von Firefox, entfernt, wird der Browser nur eine neue Erweiterungs-API namens „WebExtensions“ unterstützen, was die Kompatibilität mit XUL-Overlay-Erweiterungen, Bootstrapped-Erweiterungen, SDK-Erweiterungen und sogar Embedded beendet WebExtensions. Als engagierter Firefox-Benutzer seit seinen Netscape Navigator-Tagen Mitte der neunziger Jahre ist die Vorstellung, dass einige meiner geliebten Add-Ons in wenigen Wochen veraltet sein könnten, eine bittere Pille, aber es gibt Workarounds, die Sie können verwenden, um sich etwas Zeit zu verschaffen, bevor sie veraltet sind. In diesem heutigen Artikel erklären wir Ihnen genau, warum Mozilla XUL-Erweiterungen ablehnt, wie Sie die Kompatibilität von Add-Ons mit Firefox 57 überprüfen können und wie Sie ältere Erweiterungen auch dann weiter verwenden können, wenn Firefox 57 die Unterstützung für XUL und XPCOM für beendet gut.

Warum beendet Mozilla die Unterstützung für XUL mit Firefox 57?

Laut Erklärungen, die Anfang dieses Jahres von Mozilla veröffentlicht wurden, Die Implementierung der WebExtensions-API wird Firefox helfen in vielerlei Hinsicht, obwohl viele in den Entwickler- und Power-User-Communities nicht überzeugt sind. Zunächst einmal ist laut Ken Needham, dem Firefox-Desktop-Manager von Mozilla, der Hauptgrund dafür, dass der Browser XPCOM und XUL aufgibt Sicherheit und Stabilität. Ihm zufolge war die Tatsache, dass ein Großteil des Firefox-Codes in JavaScript vorliegt, ein großer Vorteil für den Browser, da er viel anpassbarer als jeder seiner Konkurrenten ist, aber es macht den Browser auch von Natur aus unsicher vor Malware und anderen Sicherheitsmaßnahmen Bedrohungen. Er sagte weiter: „Add-Ons haben vollen Zugriff auf die interne Implementierung von Firefox. Dieser Mangel an Modularität führt zu vielen Problemen. Add-Ons können auch zum Absturz von Firefox führen, wenn sie APIs auf unerwartete Weise verwenden“.

WebExtensions, die neue Anwendungsprogrammierschnittstelle (API), die Firefox bereits übernommen hat und die alleinige Grundlage für seine Add-Ons von Firefox 57 sein wird, ist es auch Kompatibel mit Blink, die Google-Fork von Apples Open-Source-WebKit-Browser-Engine ist, die derzeit von Safari verwendet wird und die Grundlage für andere beliebte Browser wie Chrome und Opera bildet, wobei letztere vor einiger Zeit ihre Presto-Browser-Engine zugunsten von WebKit aufgegeben haben. Die Blink-Kompatibilität soll es Entwicklern ermöglichen ihre Chrome-Add-Ons ganz einfach auf Firefox portieren ohne den Code zu sehr ändern zu müssen, was laut Mozilla ein weiterer Grund für die Verschiebung ist. Ob es Ihnen gefällt oder nicht, Sie müssen sich mit dieser Änderung auseinandersetzen.

Überprüfen Sie, welche Add-Ons mit Firefox 57 oder höher kompatibel sind

  • Um zu überprüfen, ob Ihre Add-ons mit Firefox 57 und höher kompatibel sind, Klicken Sie auf das Hamburger-Menü oben rechts in Ihrem Firefox-Fenster und dann Klicken Sie auf ‘Add-Ons’.

Firefox Addons Schaltfläche Beebom Homepage 2 KK

  • Auf dem resultierenden Bildschirm Klicken Sie auf die Option „Erweiterungen“. wie im Bild unten gezeigt.

Addons Legacy KKJetzt können Sie XUL und andere Erweiterungen sehen, die mit a gekennzeichnet sind gelbes ‘Legacy’-Etikettwährend diejenigen, die bereits auf die WebExtension-API migriert sind, dies haben werden keine solche Kennzeichnung und funktioniert auch mit Firefox 57 und höher wie gewohnt weiter.

So verwenden Sie weiterhin ältere Erweiterungen

Wenn Sie eine bestimmte Erweiterung wirklich weiter verwenden möchten, deren Entwickler noch nicht zu WebExtensions migriert ist oder dies in Zukunft wahrscheinlich nicht tun wird, können Sie Folgendes tun auf Firefox ESR umstellen (Extended Support Release), das sich hauptsächlich an Organisationen und Unternehmen richtet, die Wert auf Kompatibilität über Funktionen legen. ESR-Versionen werden möglicherweise nicht mit neuen Funktionen aktualisiert, sie erhalten jedoch weiterhin alle Sicherheitspatches bis zur Veröffentlichung der nächsten ESR-Version. Die aktuelle ESR-Version ist Firefox 52 und wird dies auch weiterhin tun erhalten Sicherheitsupdates bis nächsten Juni, sodass Sie Ihre alten Erweiterungen bis dahin ohne Sicherheitsbedenken weiter verwenden können. Es wird keine dauerhafte Lösung sein, aber Ihnen etwas Zeit verschaffen, um Ihre Optionen für die Zukunft zu bewerten.

SIEHE AUCH: So verwenden Sie Firefox Send zum Senden selbstzerstörerischer Dateien

Überprüfen Sie die Add-On-Kompatibilität mit Firefox 57 oder höher

Obwohl der Umzug von Firefox eine große Anzahl lautstarker und einflussreicher Kritiker angezogen hat, führt die Organisation die vorgeschlagenen Änderungen weiterhin wie geplant durch. Ob es Ihnen gefällt oder nicht, zumindest einige Ihrer Lieblings-Add-Ons sind möglicherweise bis Ende dieses Jahres nicht mehr nutzbar. Sicher, Sie können zur ESR-Version wechseln, aber Sie werden immer noch von geliehener Zeit leben, da die Ruhepause nur vorübergehend und nicht dauerhaft sein wird. Glauben Sie also, dass die Änderungen Entwickler und Benutzer entfremden werden? Wird Firefox einen Teil seiner Nutzer verlieren, oder glauben Sie, dass eingefleischte Firefox-Nutzer den Browser weiterhin unterstützen werden, wenn auch nur aus ideologischen Gründen? Teilen Sie uns Ihre Meinung zu diesem Thema mit, denn wir freuen uns, von Ihnen zu hören.

Leave a Comment

Your email address will not be published.